> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all Subscriptions

export const ParamList = ({items = [], is_child = false}) => {
  return items.map(item => {
    const field_props = {
      id: Math.random().toString(),
      body: item.name,
      name: item.name,
      type: item.type,
      required: item.required
    };
    const enums = item.enums || [];
    const items = item.items || [];
    const has_items = items?.length > 0;
    const has_enums = enums?.length > 0;
    const should_default_open = item.defaultOpen || false;
    const render_child_item = () => {
      const child_props = {
        title: has_enums ? "Possible enum values" : "properties"
      };
      if (should_default_open) child_props.defaultOpen = true;
      const has_inline_enums = has_enums && enums.every(enum_item => typeof enum_item === 'string') && enums.map((enum_item, idx) => {
        const is_last = idx === enums.length - 1;
        const is_2nd_to_last = idx === enums.length - 2;
        return <>
            <code>{enum_item}</code>
            {is_last && ''}
            {is_2nd_to_last && ' or '}
            {!is_last && !is_2nd_to_last && ', '}
          </>;
      });
      const enum_list = has_enums && !has_inline_enums && <Accordion {...child_props}>
          {enums.map((enum_item, index) => <div key={`enum-${index}`}>
              <code>{enum_item.name}</code>
              <br />
              <p>{enum_item.description}</p>
            </div>)}
        </Accordion>;
      const item_list = has_items && <Expandable {...child_props}>
          <ParamList items={items || []} is_child />
        </Expandable>;
      return <>
          <p>
            {item.description}
            {has_inline_enums && [has_inline_enums.length > 1 ? ' One of ' : ' Must be ', ...has_inline_enums]}
          </p>

          {enum_list}
          {item_list}
        </>;
    };
    return is_child ? <ResponseField {...field_props}>{render_child_item()}</ResponseField> : <ParamField {...field_props}>{render_child_item()}</ParamField>;
  });
};

Returns a map of Subscription names to Subscription objects associated with an Entity, or an empty object if none have been created.

## Path Parameters

<ParamList
  items={[
{
name: 'ent_id',
type: 'string',
required: true,
description: 'ID of the Entity.',
}
]}
/>

## Returns

Returns a map of Subscription names to Subscription objects.

<RequestExample>
  ```bash cURL theme={null}
  curl "https://production.methodfi.com/entities/ent_TYHMaRJUUeJ7U/subscriptions" \
    -H "Method-Version: 2026-03-30" \
    -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
  ```

  ```javascript Node.js theme={null}
  const response = await method
    .entities('ent_TYHMaRJUUeJ7U')
    .subscriptions
    .list();
  ```

  ```python Python theme={null}
  response = method
    .entities('ent_TYHMaRJUUeJ7U')
    .subscriptions
    .list()
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "credit_score": {
      "id": "sub_c3a7hVjHCJzF3",
      "name": "credit_score",
      "status": "active",
      "payload": null,
      "latest_request_id": null,
      "created_at": "2026-04-09T17:02:47.910Z",
      "updated_at": "2026-04-09T17:02:47.910Z"
    },
    "connect": {
      "id": "sub_6f7XtMLymQx3f",
      "name": "connect",
      "status": "active",
      "payload": null,
      "latest_request_id": null,
      "created_at": "2026-04-09T17:02:47.910Z",
      "updated_at": "2026-04-09T17:02:47.910Z"
    },
    "attribute": {
      "id": "sub_6f7XtMLymQx3f",
      "name": "attribute",
      "status": "active",
      "payload": {
        "attributes": {
          "requested_attributes": ["credit_card_utilization", "revolving_credit_card_balance_total"]
        }
      },
      "latest_request_id": null,
      "created_at": "2026-04-09T17:02:47.910Z",
      "updated_at": "2026-04-09T17:02:47.910Z"
    }
  }
  ```
</ResponseExample>
